#
# spec file for package nspluginwrapper (Version 0.9.91.5)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%ifarch x86_64
Name:           nspluginwrapper
%else
Name:           nspluginwrapper-i386
BuildRequires:  gcc-c++
%endif
BuildRequires:  gtk2-devel
License:        GPL
Version:        0.9.91.5
Release:        7.1
%ifarch x86_64
Summary:	A compatibility layer for Netscape 4 plugins
%else
Summary:        A viewer for i386 compiled Netscape 4 plugins
%endif
Group:		Productivity/Networking/Web/Browsers
Source0:	nspluginwrapper-%{version}.tar.bz2
Patch:          plugin-dir.patch
Patch1:         nspluginwrapper-%{version}-gthreads-init.patch
Url:		http://www.gibix.net/projects/nspluginwrapper/
# define 32-bit arch of multiarch platforms
%define arch_32 %{nil}
%ifarch x86_64
%define arch_32 i386
%endif
%ifarch x86_64
Provides:	%{name}-%{_arch}
Requires:	%{name}-%{arch_32}
%else
%if %suse_version >= 1020
Recommends:     nspluginwrapper
%endif
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
%define pkglibdir %{_prefix}/lib/nspluginwrapper
%define plugindir %{_libdir}/browser-plugins

%description
nspluginwrapper makes it possible to use Netscape 4 compatible plugins
compiled for %{arch_32} into Mozilla for another architecture, e.g. x86_64.

This package consists in:
  * npviewer: the plugin viewer
  * npwrapper.so: the browser-side plugin
  * nspluginwrapper: a tool to manage plugins installation and update

%debug_package

%prep
%setup -n nspluginwrapper-%{version} -q
%patch
%patch1

%build
export CFLAGS="$RPM_OPT_FLAGS -g"
export CXXFLAGS="$CFLAGS"
mkdir objs
pushd objs
../configure \
	--prefix=%{_prefix} \
	--without-biarch
make %{?jobs:-j%jobs}
popd

%install
rm -rf $RPM_BUILD_ROOT
%ifarch x86_64
make -C objs install DESTDIR=$RPM_BUILD_ROOT DONT_STRIP=yes
mkdir -p $RPM_BUILD_ROOT%{plugindir}
ln -s %{pkglibdir}/%{_arch}/linux/npwrapper.so $RPM_BUILD_ROOT%{plugindir}/npwrapper.so
%else
mkdir -p $RPM_BUILD_ROOT%{pkglibdir}/i386/linux
make -C objs install.viewer DESTDIR=$RPM_BUILD_ROOT DONT_STRIP=yes
make -C objs install.libxpcom DESTDIR=$RPM_BUILD_ROOT DONT_STRIP=yes
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%ifarch x86_64
# Trigger on packages, which don't have x86_64 equivalent or its
# equivalent has less features.
# mplayerplug-in is a common name of third party package, that may be
# affected, too.
%triggerin -- RealPlayer acroread acroread_ja flash-player mplayerplug-in
%{_bindir}/nspluginwrapper -a -u

%triggerpostun -- RealPlayer acroread acroread_ja flash-player mplayerplug-in
%{_bindir}/%{name} -a -u

%post
if [ $1 = 1 ]; then
  %{_bindir}/nspluginwrapper -a -i || :
else
  %{_bindir}/nspluginwrapper -a -u || :
fi

%preun
if [ $1 = 0 ]; then
  %{_bindir}/nspluginwrapper -a -r || :
fi
%endif

%files
%defattr(-,root,root)
%ifarch x86_64
%doc README COPYING NEWS
%{plugindir}/npwrapper.so
%dir %{pkglibdir}/%{_arch}
%dir %{pkglibdir}/%{_arch}/linux
%{pkglibdir}/%{_arch}/linux/npconfig
%{pkglibdir}/%{_arch}/linux/npwrapper.so
%dir %{pkglibdir}/noarch
%{pkglibdir}/noarch/npviewer
%{pkglibdir}/noarch/mkruntime
%{_bindir}/nspluginwrapper
%else
%dir %{pkglibdir}
%dir %{pkglibdir}/i386
%dir %{pkglibdir}/i386/linux
%{pkglibdir}/i386/linux/npviewer
%{pkglibdir}/i386/linux/npviewer.bin
%{pkglibdir}/i386/linux/libxpcom.so
%endif
%changelog
* Mon Dec 31 2007 wr@rosenauer.org
- applied candidate fix for threading issues with new Flash player
  (#350752)
* Sun Oct 28 2007 wr@rosenauer.org
- make installation errors caused by #304963 non-fatal
  so that installation succeeds at least
* Thu Oct 25 2007 wr@rosenauer.org
- update to version 0.9.91.5
  * Fix a memory leak in NPP_Destroy()
  * Fix DiamondX XEmbed example plugin
  * Fix focus problems (Debian bug #435912)
  * Add support for 64-bit plugins (Martin Stransky)
  * Add support for newer NPAPI 0.17 functions and variables
  * Add support for broken 64-bit Konqueror versions
    (run-time detect)
* Thu Apr 12 2007 wr@rosenauer.org
- added triggers for known plugins which need nspluginwrapper
* Thu Apr  5 2007 wr@rosenauer.org
- update to version 0.9.91.4
  * Don’t try to wrap native plugins
* Thu Mar 29 2007 wr@rosenauer.org
- correctly create debuginfo packages
- nspluginwrapper symlink is now installed from the package
- fixed nspluginwrapper -{l,r} (#204354)
* Sat Mar 10 2007 wr@rosenauer.org
- update to version 0.9.91.3
  * Fix printing with EMBED plugins
  * Avoid hangs when the plugin is dead
  * Use sound wrappers whenever possible on Linux (Flash Player 9)
* Wed Dec 27 2006 wr@rosenauer.org
- update to version 0.9.91.1
  * Add scripting support through the NPRuntime API
  * Add XEMBED support
  * Fix focus problems
* Wed Nov 22 2006 wr@rosenauer.org
- update to version 0.9.90.4
* Fri Nov 17 2006 wr@rosenauer.org
- integrated into openSUSE
